#include "partition.h"
#include "bits/stdc++.h"
using namespace std;


vector<int>solve(vector<int>A)
{
      vector<int>res;
      int n=(int)A.size();
      for(int i=0;i<n/2-1;i++) res.push_back(i);
      res.push_back(n-1);
      for(int i=n/2-1;i<n-1;i++) res.push_back(i);
      return res;
}
